bm::bvmini< N > Class Template Reference
Small sets functionality (intrenal)

Mini bit-vector for auxiliary purposes. More...

`#include <bmvmin.h>`

## Public Member Functions

| bvmini (int=0)
| bvmini (const bvmini &mset)
unsigned | test (bm::id_t n) const
| Checks if bit pos 1 or 0. Returns 0 if 0 and non zero otherwise.
void | set (bm::id_t n, bool val=true)
unsigned | mem_used () const
void | swap (bvmini &mset)

## Detailed Description

template<size_t N>
class bm::bvmini< N >

Mini bit-vector for auxiliary purposes.

See also
  miniset

Definition at line 213 of file bmvmin.h.

## Constructor & Destructor Documentation

## bvmini() [1/2]

template<size_t N>

bm::bvmini< N >::bvmini | ( | int | = 0 | ) |

inline

Definition at line 217 of file bmvmin.h.

Referenced by bvmini(), and swap().

## bvmini() [2/2]

template<size_t N>

bm::bvmini< N >::bvmini | ( | const bvmini< N > & | mset | ) |

inline

Definition at line 222 of file bmvmin.h.

References bvmini().

## Member Function Documentation

## mem_used()

template<size_t N>

unsigned bm::bvmini< N >::mem_used | ( |  | ) | const

inline

Definition at line 242 of file bmvmin.h.

## set()

template<size_t N>

void bm::bvmini< N >::set | ( | bm::id_t | n,
|  | bool | val = true )

inline

Definition at line 234 of file bmvmin.h.

References bm::set_word_mask, and bm::set_word_shift.

## swap()

template<size_t N>

void bm::bvmini< N >::swap | ( | bvmini< N > & | mset | ) |

inline

Definition at line 247 of file bmvmin.h.

References BM_MINISET_ARRSIZE, and bvmini().

## test()

template<size_t N>

unsigned bm::bvmini< N >::test | ( | bm::id_t | n | ) | const

inline

Checks if bit pos 1 or 0. Returns 0 if 0 and non zero otherwise.

Definition at line 229 of file bmvmin.h.

References bm::set_word_mask, and bm::set_word_shift.

The documentation for this class was generated from the following file:

- bmvmin.h